<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Manager Dashboard</title>
    <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='styles/manager-home-style.css')}}"/>
    <link rel="stylesheet" type="text/css" href="{{url_for('static', filename='styles/table-style.css')}}"/>
</head>
<body>
    <h1>Manager's Dashboard</h1>
    <div class="wrapper">
        <input class="radio" id="one" name="group" type="radio" checked>
        <input class="radio" id="two" name="group" type="radio">
        <input class="radio" id="three" name="group" type="radio">
        <div class="tabs">
            <label class="tab" id="one-tab" for="one">Requests History</label>
            <label class="tab" id="two-tab" for="two">Pending Requests</label>
            <label class="tab" id="three-tab" for="three">Statistics</label>
        </div>
        <div class="panels">
            <div class="panel" id="one-panel">
                <div class="panel-title">All Requests Reimbursements</div>
                <div id="request-history-table"></div>
            </div>
            <div class="panel" id="two-panel">
                <div class="panel-title">Pending Requests from Employees</div>
                <div id="pending-requests-table"></div>
                <form method="POST" action="http://localhost:5000/ticket/approve">
                    <div class="panel-title">Enter Ticket ID for Approval</div>
                    <section>
                        <input type="number" placeholder="Ticket ID" name="ticket_id" id="ticket_id_input" required>
                        <div>
                        <button type="submit" id="approve-reimbursement">Approve</button>
                        <button type="submit" formaction="http://localhost:5000/ticket/deny" id="deny-reimbursement">Deny</button>
                        </div>
                    </section>
                </form>
            </div>
            <div class="panel" id="three-panel">
                <div class="panel-title">Notable Mentions</div>
                <div class="row">
                    <div class="column">
                        <h3>Most Expenditure</h3>
                        <div id="most-expenditure"></div>
                    </div>
                    <div class="column">
                        <h3>Most Reimbursement Approved</h3>
                        <div id="approved-reimbursements"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="column">
                        <h3>Most Reimbursement Denied</h3>
                        <div id="denied-reimbursements"></div>
                    </div>
                    <div class="column">
                        <h3>Mean Expenditures of Employees</h3>
                        <div id="mean-expenditure"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="{{url_for('static', filename='scripts/requests-history.js')}}"></script>
</body>
</html>